Subject: Re: bug#22378: 24.5; hide-ifdef wrongly handles "#if defined X"

From: [email-masked]
Date: Tue, 15 Mar 2016 00:12:56 +0100 (CET)

Hello,

Thanks for this info.  But is there a defined timeframe for emacs25 yet ?
I'm constantly being hit by this bug, which basically makes hide-ifdef
unusable in emacs24, so I guess I'm not the only one getting hit :}

----- Mail original -----
> De: "Eli Zaretskii" <[email-masked]>
> À: [email-masked]
> Cc: [email-masked]
> Envoyé: Samedi 16 Janvier 2016 07:59:42
> Objet: Re: bug#22378: 24.5; hide-ifdef wrongly handles "#if defined X"
> 
> > Date: Fri, 15 Jan 2016 22:56:58 +0100 (CET)
> > From: [email-masked]
> > Cc: [email-masked]
> > 
> > * emacs -Q foo.txt
> > * M-x hide-ifdef-mode
> > * C-c @ h
> >   => OK, everywhere "no"
> > * C-c @ d A
> >   => OK, everywhere "yes" except the "B && !A"
> > * C-c @ u A
> >   => only "#ifdef A" switches back
> 
> Thanks.  With this recipe, I can reproduce this in Emacs 24.5, but
> not
> with the current emacs-25 branch.  So I guess this bug was already
> solved, and I'm marking the bug done.
>